import org.junit.Test;

import static org.junit.Assert.*;

public class ZahlenfilterTest {

    @Test
    public void durchFuenfTeilbar() {
        assertTrue(Zahlenfilter.durchFuenfTeilbar(5));
        assertTrue(Zahlenfilter.durchFuenfTeilbar(10));
        assertTrue(Zahlenfilter.durchFuenfTeilbar(20));

        assertFalse(Zahlenfilter.durchFuenfTeilbar(1));
        assertFalse(Zahlenfilter.durchFuenfTeilbar(2));
        assertFalse(Zahlenfilter.durchFuenfTeilbar(3));
    }

    @Test
    public void endetAufNeun() {
        assertTrue(Zahlenfilter.endetAufNeun(9));
        assertTrue(Zahlenfilter.endetAufNeun(19));
        assertTrue(Zahlenfilter.endetAufNeun(29));

        assertFalse(Zahlenfilter.endetAufNeun(1));
        assertFalse(Zahlenfilter.endetAufNeun(2));
        assertFalse(Zahlenfilter.endetAufNeun(3));
    }

    @Test
    public void summeMitVorgaengerDurchDreiTeilbar() {
        assertTrue(Zahlenfilter.summeMitVorgaengerDurchDreiTeilbar(2));
        assertTrue(Zahlenfilter.summeMitVorgaengerDurchDreiTeilbar(5));

        assertFalse(Zahlenfilter.summeMitVorgaengerDurchDreiTeilbar(3));
        assertFalse(Zahlenfilter.summeMitVorgaengerDurchDreiTeilbar(4));
        assertFalse(Zahlenfilter.summeMitVorgaengerDurchDreiTeilbar(6));
    }
}